USE `cdss`;

-- DROP TABLE IF EXISTS `tran_sys_set`;
-- CREATE TABLE `tran_sys_set` (
--   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
--   `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
--   `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
--   `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
--   `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
--   `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
--   `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
--   `name` varchar(100) DEFAULT NULL COMMENT '配置名称',
--   `code` varchar(100) DEFAULT NULL COMMENT '配置编码',
--   `value` varchar(255) DEFAULT NULL,
--   `remark` varchar(128) DEFAULT NULL COMMENT '备注',
--   PRIMARY KEY (`id`) USING BTREE,
--   KEY `idx_hospital_id` (`hospital_id`) USING BTREE
-- ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='医院所有配置信息';

DROP TABLE IF EXISTS `tran_tcmdisease_config`;
CREATE TABLE `tran_tcmdisease_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `his_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '医院项目名称',
  `unique_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '标准名称',
  `unique_code` varchar(255) DEFAULT NULL COMMENT '标准编码',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_his_name` (`hospital_id`,`his_name`) USING BTREE,
  KEY `idx_unique_name` (`hospital_id`,`unique_name`) USING BTREE,
  KEY `idx_hospital_id` (`hospital_id`) USING BTREE,
  KEY `idx_cnt` (`is_deleted`,`hospital_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='中医疾病映射表';

DROP TABLE IF EXISTS `tran_tcmsyndrome_config`;
CREATE TABLE `tran_tcmsyndrome_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `his_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '医院项目名称',
  `unique_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '标准名称',
  `unique_code` varchar(255) DEFAULT NULL COMMENT '标准编码',
  PRIMARY KEY (`id`),
  KEY `idx_his_name` (`hospital_id`,`his_name`) USING BTREE,
  KEY `idx_unique_name` (`hospital_id`,`unique_name`) USING BTREE,
  KEY `idx_hospital_id` (`hospital_id`) USING BTREE,
  KEY `idx_cnt` (`is_deleted`,`hospital_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='中医证候映射表';
